Rename Object
Description
This API allows you to rename the required object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/bucket/object
Query Parameters
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.buckets.objects.UPDATE
Response Details
On successful execution, the response will contain the previous name, modified name, and the success message confirming the rename action.
curl -X PATCH https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/?bucket_name=myBucketName¤t_key=image2.png&rename_to=renamed.png/
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
{
"status": "success",
"data": {
"current_key": "image2.png",
"rename_to": "renamed.png",
"message": "Rename successful"
}
}
Yes
No
Send your feedback to us